#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<center><blink><b><font size="7" color="#FF0000">UNDEFINED PAGE</font></b></blink></center>}
_imagethispage_ {}
_imagecollection_ {}


#######################################################################
# these width macros are read in by the server when calculating 
# width of navigation bar etc. There should be one for each 
# classification that this receptionist supports, one for the 
# search button, and the _pagewidth_ macro which is the total width
# of the page
#######################################################################

_pagewidth_ {537}
_searchwidth_ {_widthtsrchx_}	
_Titlewidth_ {_widthttitlx_}
_Listwidth_ {_widthtlistx_}
_Creatorwidth_ {_widthtauthx_}
_Serieswidth_ {_widthtserx_}
_Datewidth_ {_widthtdatex_}
_Subjectwidth_ {_widthtsubjx_}
_Organizationwidth_ {_widthtorgx_}
_Howtowidth_ {_widththowx_}
_Topicwidth_ {_widthttopicx_}
_Browsewidth_ {_widthtbrwsex_}

#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

_navigationbar_ {}
_javaimagesnavbar_ {}
_javaimagescontent_ {}
_widthtspace_ {2}

# all cgi args are set as _cgiargX_ macros - those I've put here 
# are those that need to default to something
_cgiargd_ {}
_cgiargcl_ {}

# set from within the query action
_hselection_ {}
_jselection_ {}
_nselection_ {}


#######################################################################
# index option macros
# there should be one of these for each option that's going to
# be selected in any collections _hselection_, _jselection_, or
# _nselection_ macros.
# eventually this should be changed so that these macros are 
# retrieved from the collection server
#######################################################################

_optionhstx_ {chapters}
_optionhscr_ {authors}
_optionhdtx_ {entire books}
_optionhstt_ {section titles}
_optionhptx_ {paragraphs}

# gberg
_optionhdtt_ {titles}
_optionhdcr_ {authors}
_optionhstx_ [collection=gberg] {pages}

# hcibib
_optionhdsr_ [collection=hcibib] {conference/publication titles}
_optionhdrf_ [collection=hcibib] {references}
_optionhdra_ [collection=hcibib] {references and abstracts}


# tcc
_optionhstx_ [collection=tcc] {sections}

# tidbits
_optionhstx_ [collection=tidbits] {sections}
_optionhscr_ [collection=tidbits] {section authors}

# csbib
_optionhstt_ [collection=csbib] {titles}
_optionhscr_ [collection=csbib] {authors}
_optionhssr_ [collection=csbib] {conference/publication titles}
_optionhsrf_ [collection=csbib] {references}
_optionhsrd_ [collection=csbib] {references and abstracts}


#######################################################################
# navigation bar images
#
#######################################################################

# the spacer image - the width of this is set from server
_imagespacer_ {<img 
src="_httpicontspace_" width="_widthtspace_" height="_heighttspace_">}
_imagespacer_[version=text] {<br>
}

# image macros for all the classifications currently supported by
# this receptionist. i.e. title, author, subject, series, date,
# howto, and organization (and search)

_imagesearch_ {<a href="_httpquery_" 
    onMouseover = "img\_on('search')"
    onMouseout = "img\_off('search')"><img name="search"
        src="_httpicontsrchof_" width="_widthtsrchx_" height="_heighttsrchx_" 
        border="0" alt="_textimagesearch_"></a>}
_imagesearch_[version=text] {<a href="_httpquery_">_textimagesearch_</a><br>
}
_imagesearch_[style=htmlonly] {<img src="_httpicontspace_" alt="" width="_widthtsrchx_" height="_heighttsrchx_">}

_imageTitle_ {<a href="_httpbrowseTitle_"
    onMouseover = "img\_on('titles')" 
    onMouseout = "img\_off('titles')"><img name="titles" 
        src="_httpiconttitlof_" width=_widthttitlx_ height=_heightttitlx_ 
        border=0 alt="_textimageTitle_"></a>}
_imageTitle_[version=text] {<a href="_httpbrowseTitle_">_textimageTitle_</a><br>
}

_imageList_ {<a href="_httpbrowseList_"
    onMouseover = "img\_on('list')" 
    onMouseout = "img\_off('list')"><img name="list" 
        src="_httpicontlistof_" width=_widthtlistx_ height=_heighttlistx_ 
        border=0 alt="_textimageList_"></a>}
_imageList_[version=text] {<a href="_httpbrowseList_">_textimageList_</a><br>
}


_imageCreator_ {<a href="_httpbrowseCreator_"
    onMouseover = "img\_on('authors')" 
    onMouseout = "img\_off('authors')"><img name="authors" 
        src="_httpicontauthof_" width=_widthtauthx_ height=_heighttauthx_ 
        border=0 alt="_textimageCreator_"></a>}
_imageCreator_[version=text] {<a href="_httpbrowseCreator_">_textimageCreator_</a><br>
}

_imageSeries_ {<a href="_httpbrowseSeries_"
    onMouseover = "img\_on('series')" 
    onMouseout = "img\_off('series')"><img name="series" 
        src="_httpicontserof_" width="_widthtserx_" height="_heighttserx_" 
        border="0" alt="_textimageSeries_"></a>}
_imageSeries_[version=text] {<a href="_httpbrowseSeries_">_textimageSeries_</a><br>
}

_imageDate_ {<a href="_httpbrowseDate_"
    onMouseover = "img\_on('dates')" 
    onMouseout = "img\_off('dates')"><img name="dates" 
        src="_httpicontdateof_" width="_widthtdatex_" height="_heighttdatex_" 
        border="0" alt="_textimageDate_"></a>}
_imageDate_[version=text] {<a href="_httpbrowseDate_">_textimageDate_</a><br>
}

_imageSubject_ {<a href="_httpbrowseSubject_"
    onMouseover = "img\_on('subjects')" 
    onMouseout = "img\_off('subjects')"><img name="subjects" 
        src="_httpicontsubjof_" width="_widthtsubjx_" height="_heighttsubjx_" 
        border="0" alt="_textimageSubject_"></a>}
_imageSubject_[version=text] {<a href="_httpbrowseSubject_">_textimageSubject_</a><br>
}

_imageOrganization_ {<a href="_httpbrowseOrganization_"
    onMouseover = "img\_on('org')" 
    onMouseout = "img\_off('org')"><img name="org" 
        src="_httpicontorgof_" width="_widthtorgx_" height="_heighttorgx_" 
        border="0" alt="_textimageOrganization_"></a>}
_imageOrganization_[version=text] {<a href="_httpbrowseOrganization_">_textimageOrganization_</a><br>
}

_imageHowto_ {<a href="_httpbrowseHowto_"
    onMouseover = "img\_on('how')" 
    onMouseout = "img\_off('how')"><img name="how" 
        src="_httpiconthowof_" width="_widththowx_" height="_heightthowx_" 
        border="0" alt="_textimageHowto_"></a>}
_imageHowto_[version=text] {<a href="_httpbrowseHowto_">_textimageHowto_</a><br>
}

_imageTopic_ {<a href="_httpbrowseTopic_"
    onMouseover = "img\_on('topic')" 
    onMouseout = "img\_off('topic')"><img name="topic" 
        src="_httpiconttopicof_" width="_widthttopicx_" height="_heightttopicx_" 
        border="0" alt="_textimageTopic_"></a>}
_imageTopic_[version=text] {<a href="_httpbrowseTopic_">_textimageTopic_</a><br>
}

_imageBrowse_ {<a href="_httpbrowseBrowse_"
    onMouseover = "img\_on('browse')" 
    onMouseout = "img\_off('browse')"><img name="browse" 
        src="_httpicontbrwseof_" width="_widthtbrwsex_" height="_heighttbrwsex_" 
        border="0" alt="_textimageBrowse_"></a>}
_imageBrowse_[version=text] {<a href="_httpbrowseBrowse_">_textimageBrowse_</a><br>
}


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome__imagehelp__imagepref_}
_javalinks_ [version=text] {
_imagehome_<br>
_imagehelp_<br>
_imagepref_<br>
}

# the javaimages macros contain the javascript code required
# by each flashy javascript image. _javaimagesheader_ contains those
# images at the top right of the page, _javaimagesnavbar_ (set
# from within the server) contains those images in the navigation bar,
# and _javaimagescontent_ (also set in server) contains any other 
# javascript images that occur in the page. 
# the javaimages macros should contain _javaX_ macros for each javascript
# image link within the page.

_javaimagesheader_ {_javahome__javahelp__javapref_}
_javaimagesheader_ [version=text] {}

_javaabout_ {
	about\_on = new Image(_widthcabtx_, _heightcabtx_);
	about\_on.src = "_httpiconcabton_";
	about\_off = new Image(_widthcabtx_, _heightcabtx_);
	about\_off.src = "_httpiconcabtof_";
}

_javahome_ {
	home\_on = new Image(_widthchomex_, _heightchomex_);          
	home\_on.src = "_httpiconchomeon_";		        
	home\_off = new Image(_widthchomex_, _heightchomex_);          
	home\_off.src = "_httpiconchomeof_";             
}

_javahelp_ {
	help\_on = new Image(_widthchelpx_, _heightchelpx_);
	help\_on.src = "_httpiconchelpon_";
	help\_off = new Image(_widthchelpx_, _heightchelpx_);
	help\_off.src = "_httpiconchelpof_";
}

_javapref_ {
	pref\_on = new Image(_widthcprefx_, _heightcprefx_);          
	pref\_on.src = "_httpiconcprefon_";
	pref\_off = new Image(_widthcprefx_, _heightcprefx_);
	pref\_off.src = "_httpiconcprefof_"; 
}

_javasearch_ {
	search\_on = new Image(_widthtsrchx_, _heighttsrchx_);          
	search\_on.src = "_httpicontsrchon_";
	search\_off = new Image(_widthtsrchx_, _heighttsrchx_);          
	search\_off.src = "_httpicontsrchof_";
}

_javaTitle_ {
	titles\_on = new Image(_widthttitlx_, _heightttitlx_);
	titles\_on.src = "_httpiconttitlon_";
	titles\_off = new Image(_widthttitlx_, _heightttitlx_);
	titles\_off.src = "_httpiconttitlof_";
}

_javaList_ {
	list\_on = new Image(_widthtlistx_, _heighttlistx_);
	list\_on.src = "_httpicontliston_";
	list\_off = new Image(_widthtlistx_, _heighttlistx_);
	list\_off.src = "_httpicontlistof_";
}

_javaCreator_ {
	authors\_on = new Image(_widthtauthx_, _heighttauthx_);
	authors\_on.src = "_httpicontauthon_";
	authors\_off = new Image(_widthtauthx_, _heighttauthx_);
	authors\_off.src = "_httpicontauthof_";
}

_javaSeries_ {
	series\_on = new Image(_widthtserx_, _heighttserx_);          
	series\_on.src = "_httpicontseron_";
	series\_off = new Image(_widthtserx_, _heighttserx_);          
	series\_off.src = "_httpicontserof_";
}

_javaDate_ {
	dates\_on = new Image(_widthtdatex_, _heighttdatex_);          
	dates\_on.src = "_httpicontdateon_";
	dates\_off = new Image(_widthtdatex_, _heighttdatex_);          
	dates\_off.src = "_httpicontdateof_";	 		
}

_javaSubject_ {
	subjects\_on = new Image(_widthtsubjx_, _heighttsubjx_);          
	subjects\_on.src = "_httpicontsubjon_";
	subjects\_off = new Image(_widthtsubjx_, _heighttsubjx_);          
	subjects\_off.src = "_httpicontsubjof_";	 		
}

_javaHowto_ {
	how\_on = new Image(_widththowx_, _heightthowx_);          
	how\_on.src = "_httpiconthowon_";
	how\_off = new Image(_widththowx_, _heightthowx_);          
	how\_off.src = "_httpiconthowof_";	 		
}

_javaOrganization_ {
	org\_on = new Image(_widthtorgx_, _heighttorgx_);          
	org\_on.src = "_httpicontorgon_";
	org\_off = new Image(_widthtorgx_, _heighttorgx_);          
	org\_off.src = "_httpicontorgof_";	 		
}

_javaTopic_ {
	topic\_on = new Image(_widthttopicx_, _heightttopicx_);          
	topic\_on.src = "_httpiconttopicon_";
	topic\_off = new Image(_widthttopicx_, _heightttopicx_);          
	topic\_off.src = "_httpiconttopicof_";	 		
}

_javaBrowse_ {
	browse\_on = new Image(_widthtbrwsex_, _heighttbrwsex_);          
	browse\_on.src = "_httpicontbrwseon_";
	browse\_off = new Image(_widthtbrwsex_, _heighttbrwsex_);          
	browse\_off.src = "_httpicontbrwseof_";	 		
}


#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {nzdl@nzdl.org}



#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpcollection_{_httpprefix_/collect/_cgiargc_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&a=p&p=_1_}
_httppageabout_ {_httppagex_(about)}
_httppagehome_ {_httppagex_(home)}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}

_httpgreenstone_ {_httppagex_(gsdl)}

_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
_httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}
_httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}

_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpiconchelpof_ {_httpimg_/chelpof.gif}
_httpiconchelpof_ [language=mi] {_httpimg_/mchelpof.gif}
_httpiconchelpon_ {_httpimg_/chelpon.gif}
_httpiconchelpon_ [language=mi] {_httpimg_/mchelpon.gif}
_widthchelpx_ {36}
_widthchelpx_ [language=mi] {57}
_heightchelpx_ {20}

_httpiconchomeof_ {_httpimg_/chomeof.gif}
_httpiconchomeof_ [language=mi] {_httpimg_/mchomeof.gif}
_httpiconchomeon_ {_httpimg_/chomeon.gif}
_httpiconchomeon_ [language=mi] {_httpimg_/mchomeon.gif}
_widthchomex_ {43}
_widthchomex_ [language=mi] {54}
_heightchomex_ {20}

_httpiconcprefof_ {_httpimg_/cprefof.gif}
_httpiconcprefof_ [language=mi] {_httpimg_/mcprefof.gif}
_httpiconcprefon_ {_httpimg_/cprefon.gif}
_httpiconcprefon_ [language=mi] {_httpimg_/mcprefon.gif}
_widthcprefx_ {87}
_widthcprefx_ [language=mi] {103}
_heightcprefx_ {20}

_httpiconcabtof_ {_httpimg_/cabtof.gif}
_httpiconcabton_ {_httpimg_/cabton.gif}
_widthcabtx_ {50}
_heightcabtx_ {20}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconglob_ {_httpimg_/glob.gif}
_widthglob_ {72}
_heightglob_ {73}

_httpiconhhelp_ {_httpimg_/h\_help.gif}
_widthhhelp_ {200}
_heighthhelp_ {57}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconqryresb_ {_httpimg_/qryresb.gif}
_httpiconqryresb_ [language=mi] {_httpimg_/mqryresb.gif}
_widthqryresb_ {_pagewidth_}
_heightqryresb_ {17}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {1}

_httpicontauthgr_ {_httpimg_/tauthgr.gif}
_httpicontauthof_ {_httpimg_/tauthof.gif}
_httpicontauthon_ {_httpimg_/tauthon.gif}
_widthtauthx_ {110}
_heighttauthx_ {17}

_httpicontsergr_ {_httpimg_/tsergr.gif}
_httpicontsergr_ [language=mi] {_httpimg_/mtsergr.gif}
_httpicontserof_ {_httpimg_/tserof.gif}
_httpicontserof_ [language=mi] {_httpimg_/mtserof.gif}
_httpicontseron_ {_httpimg_/tseron.gif}
_httpicontseron_ [language=mi] {_httpimg_/mtseron.gif}
_widthtserx_ {87}
_widthtserx_ [language=mi] {192}
_heighttserx_ {17}

_httpicontdategr_ {_httpimg_/tdategr.gif}
_httpicontdategr_ [language=mi] {_httpimg_/mtdategr.gif}
_httpicontdateof_ {_httpimg_/tdateof.gif}
_httpicontdateof_ [language=mi] {_httpimg_/mtdateof.gif}
_httpicontdateon_ {_httpimg_/tdateon.gif}
_httpicontdateon_ [language=mi] {_httpimg_/mtdateon.gif}
_widthtdatex_ {87}
_heighttdatex_ {17}

_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
_httpicontsubjon_ {_httpimg_/tsubjon.gif}
_httpicontsubjof_ {_httpimg_/tsubjof.gif}
_widthtsubjx_ {87}
_heighttsubjx_ {17}

_httpicontorggr_{_httpimg_/torggr.gif}
_httpicontorgon_{_httpimg_/torgon.gif}
_httpicontorgof_{_httpimg_/torgof.gif}
_widthtorgx_ {109}
_heighttorgx_ {17}

_httpiconthowgr_{_httpimg_/thowgr.gif}
_httpiconthowon_{_httpimg_/thowon.gif}
_httpiconthowof_{_httpimg_/thowof.gif}
_widththowx_ {87}
_heightthowx_ {17}

_httpiconttopicgr_{_httpimg_/ttopicgr.gif}
_httpiconttopicon_{_httpimg_/ttopicon.gif}
_httpiconttopicof_{_httpimg_/ttopicof.gif}
_widthttopicx_ {87}
_heightttopicx_ {17}

_httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
_httpicontbrwseon_{_httpimg_/tbrwseon.gif}
_httpicontbrwseof_{_httpimg_/tbrwseof.gif}
_widthtbrwsex_ {87}
_heighttbrwsex_ {17}

_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
_httpicontsrchgr_ [language=mi] {_httpimg_/mtsrchgr.gif}
_httpicontsrchof_ {_httpimg_/tsrchof.gif}
_httpicontsrchof_ [language=mi] {_httpimg_/mtsrchof.gif}
_httpicontsrchon_ {_httpimg_/tsrchon.gif}
_httpicontsrchon_ [language=mi] {_httpimg_/mtsrchon.gif}
_widthtsrchx_ {87}
_heighttsrchx_ {17}

_httpicontlistgr_ {_httpimg_/tlistgr.gif}
_httpicontlistof_ {_httpimg_/tlistof.gif}
_httpicontliston_ {_httpimg_/tliston.gif}
_widthtlistx_ {87}
_heighttlistx_ {17}

_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
_httpiconttitlof_ {_httpimg_/ttitlof.gif}
_httpiconttitlon_ {_httpimg_/ttitlon.gif}
_widthttitlx_ {87}
_heightttitlx_ {17}

_httpicontspace_ {_httpimg_/tspace.gif}
_heighttspace_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}

_httpiconhabout_ {_httpimg_/h\_about.gif}
_widthhabout_ {200}
_heighthabout_ {57}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconhname_ {_httpimg_/h\_name.gif}
_widthhname_ {200}
_heighthname_ {57}

_httpicontnamegr_ {_httpimg_/tnamegr.gif}
_httpicontnameof_ {_httpimg_/tnameof.gif}
_httpicontnameon_ {_httpimg_/tnameon.gif}
_widthtnamex_ {95}
_heighttnamex_ {17}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconaopenbk_ {_httpimg_/aopenbk.gif}
_widthaopenbk_ {28}
_heightaopenbk_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconaopenfdr_ {_httpimg_/aopenfdr.gif}
_widthaopenfdr_ {23}
_heightaopenfdr_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconabook_ {_httpimg_/abook.gif}
_widthabook_ {18}
_heightabook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconabshelf_ {_httpimg_/abshelf.gif}
_widthabshelf_ {20}
_heightabshelf_ {16}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconasmtext_ {_httpimg_/asmtext.gif}
_widthasmtext_ {23}
_heightasmtext_ {15}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconaclsdfdr_ {_httpimg_/aclsdfdr.gif}
_widthaclsdfdr_ {23}
_heightaclsdfdr_ {15}


#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconnext_{<img src="_httpiconmore_" align=absbottom 
width=_widthmore_ height=_heightmore_ border=0 alt="_texticonnext_">}
_iconnext_[version=text] {_texticonnext_}

_iconprev_{<img src="_httpiconless_" align=absbottom 
width=_widthless_ height=_heightless_ border=0 alt="_texticonprev_">}
_iconprev_[version=text] {_texticonprev_}

_icontabsearchgreen_ {<img 
src="_httpicontsrchgr_" height=_heighttsrchx_ width=_widthtsrchx_ border=0>}
_icontabsearchgreen_[version=text] {_texticontabsearchgreen_}

_icontabListgreen_ {<img
src="_httpicontlistgr_" height=_heighttlistx_ width=_widthtlistx_ border=0>}
_icontablistgreen_ [version=text] {_texticontablistgreen_}

_icontabTitlegreen_ {<img 
src="_httpiconttitlgr_" height=_heightttitlx_ width=_widthttitlx_ border=0>}
_icontabTitlegreen_[version=text] {_texticontabtitlegreen_}

_icontabCreatorgreen_ {<img 
src="_httpicontauthgr_" height=_heighttauthx_ width=_widthtauthx_ border=0>}
_icontabCreatorgreen_[version=text] {_texticontabauthorgreen_}

_icontabSeriesgreen_ {<img 
src="_httpicontsergr_" height=_heighttserx_ width=_widthtserx_ border=0>}
_icontabSeriesgreen_[version=text] {_texticontabseriesgreen_}

_icontabDategreen_ {<img 
src="_httpicontdategr_" height=_heighttdatex_ width=_widthtdatex_ border=0>}
_icontabDategreen_[version=text] {_texticontabdategreen_}

_icontabSubjectgreen_ {<img 
src="_httpicontsubjgr_" height=_heighttsubjx_ width=widthtsubjx_ border=0>}
_icontabSubjectgreen_[version=text] {_texticontabsubjectgreen_}

_icontabHowtogreen_ {<img 
src="_httpiconthowgr_" height=_heightthowx_ width=_widththowx_ border=0>}
_icontabHowtogreen_[version=text] {_texticontabhowgreen_}

_icontabTopicgreen_ {<img 
src="_httpiconttopicgr_" height=_heightttopicx_ width=_widthttopicx_ border=0>}
_icontabTopicgreen_[version=text] {_texticontabtopicgreen_}

_icontabBrowsegreen_ {<img 
src="_httpicontbrwsegr_" height=_heighttbrwsex_ width=_widthtbrwsex_ border=0>}
_icontabBrowsegreen_[version=text] {_texticontabbrwsegreen_}

_icontabOrganizationgreen_ {<img 
src="_httpicontorggr_" height=_heighttorggr_ width=_widthtorggr_ border=0>}
_icontabOrganizationgreen_[version=text] {_texticontaborggreen_}

_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_></center>}
_iconblankbar_[version=text] {<br><hr><br>}

_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}
_icontext_[version=text] {_texticontext_}

_iconglobhelp_ {<img src="_httpiconglob_" width=_widthglob_ height=_heightglob_ alt="_texticonglobhelp_" border=0>}
_iconglobhelp_ [version=text] {_texticonglobhelp_} 


#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################


_imageabout_ {<a href="_httppageabout_" 
    onMouseover = "img\_on('about')" 
    onMouseout = "img\_off('about')"><img name="about"
        src="_httpiconcabtof_" width=_widthcabtx_ height=_heightcabtx_
        border=0 alt="_textimageabout_"></a>}

_imageabout_[version=text] {
<a href="_httppageabout_">_textimageabout_</a>
}

_imagehome_ {<a href="_httppagehome_" 
    onMouseover = "img\_on('home')" 
    onMouseout = "img\_off('home')"><img name="home"
        src="_httpiconchomeof_" width="_widthchomex_" height="_heightchomex_"
        border="0" alt="_textimagehome_"></a>}

_imagehome_[version=text] {
<a href="_httppagehome_">_textimagehome_</a>
}


_imagehelp_ {<a href="_httppagehelp_"
    onMouseover = "img\_on('help')" 
    onMouseout = "img\_off('help')"><img name="help" 
        src="_httpiconchelpof_" width="_widthchelpx_" height="_heightchelpx_" 
        border="0" alt="_textimagehelp_"></a>}

_imagehelp_[version=text] {
<a href="_httppagehelp_">_textimagehelp_</a>
}


_imagepref_ {<a href="_httppagepref_"
    onMouseover = "img\_on('pref')" 
    onMouseout = "img\_off('pref')"><img name="pref" 
        src="_httpiconcprefof_" width="_widthcprefx_" height="_heightcprefx_" border="0" alt="_textimagepref_"></a>}

_imagepref_[version=text] {
<a href="_httppagepref_">_textimagepref_</a>
}
_imagepref_[style=htmlonly] {}


_imagegreenstone_ {<a href="_httpgreenstone_"><img src="_httpicongsdl_" width="_widthgsdl_" height="_heightgsdl_" border="0" alt="_textimagegreenstone_" hspace=0></a>
}

_imagegreenstone_[version=text] {
<a href="_httpgreenstone_">_textimagegreenstone_</a>
}


_imageglobhelp_ {<a href="_httppagex_(globhelp)">_iconglobhelp_</a>
}




################################
# English Macros               #
################################

_textimagecollection_ {}
_textimageabout_ {About page}
_textimagehome_ {Home page}
_textimagehelp_ {Help page}
_textimagepref_ {Preferences page}
_textimagegreenstone_ {Greenstone Digital Library Software}

_textimagesearch_ {Search for specific terms}
_textimageTitle_ {Browse alphabetical list of titles}
_textimageList_ {Browse document listing}
_textimageCreator_ {Browse alphabetical list of authors}
_textimageSeries_ {Browse by issue}
_textimageDate_ {Browse by date}
_textimageSubject_ {Browse by subject category}
_textimageOrganization_ {Browse by organization}
_textimageHowto_ {Browse how to categories}
_textimageTopic_ {Browse special topic issues}
_textimageBrowse_ {Browse}

_texticontabsearchgreen_{Search}
_texticontabdategreen_{Dates}
_texticontabseriesgreen_{Series}
_texticontabauthorgreen_{Authors A-Z}
_texticontabtitlegreen_{Titles A-Z}
_texticontablistgreen_ {Listing}
_texticontabsubjectgreen_{Subjects}
_texticontaborggreen_{Organization}
_texticontabhowgreen_{How to}
_texticontabtopicgreen_{Topics}
_texticontabbrwsegreen_{Browse}
_texticontext_ {View the document}
_texticonglobhelp_ {Global Help Projects}
_texticonnext_ {to next section}
_texticonprev_ {to previous section}

_page_ {page }
_of_ {of }
_vol_ {Volume}
_num_ {Number}

_textmonth00_ {}
_textmonth01_ {January}
_textmonth02_ {February}
_textmonth03_ {March}
_textmonth04_ {April}
_textmonth05_ {May}
_textmonth06_ {June}
_textmonth07_ {July}
_textmonth08_ {August}
_textmonth09_ {September}
_textmonth10_ {October}
_textmonth11_ {November}
_textmonth12_ {December}

_magazines_ {Magazines}

################################
# Maori Macros                 #
################################

_textimagehelp_ [language=mi] {Te wh&auml;rangi whakam&auml;rama}
_textimagepref_ [language=mi] {Te wh&auml;rangi o ng&auml; whiriwhiringa}
_textimagehome_ [language=mi] {Te wh&auml;rangi k&auml;inga}
_textimagesearch_ [language=mi] {rapua he kupu}
_textimagebrowseseries_ [language=mi] {Tirohia te whakar&auml;rangi o ng&auml; niupepa}
_textimagebrowsedates_ [language=mi] {Tirohia te w&auml; i puta mai ai ng&auml; niupepa}

_page_ [language=mi] {wh&auml;rangi}
_vol_ [language=mi] {Pukapuka}
_num_ [language=mi] {Nama}
_textmonth01_ [language=mi] {Hanuere}
_textmonth02_ [language=mi] {Pepuere}
_textmonth03_ [language=mi] {Maehe}
_textmonth04_ [language=mi] {Aperira}
_textmonth05_ [language=mi] {Mei}
_textmonth06_ [language=mi] {Hune}
_textmonth07_ [language=mi] {Hurae}
_textmonth08_ [language=mi] {Akuhata}
_textmonth09_ [language=mi] {Hepetema}
_textmonth10_ [language=mi] {Oketopa}
_textmonth11_ [language=mi] {Noema}
_textmonth12_ [language=mi] {Tihema}
_of_ [language=mi] {i te}


_texticontabsearchgreen_ [language=mi] {rapu}
_texticontabdatesgreen_ [language=mi] {w&auml;taka}
_texticontabseriesgreen_ [language=mi] {whakar&auml;rangi niupepa}
_texticonnext_ [language=mi] {titiro ki te wh&auml;rangi o muri}
_texticonprev_ [language=mi] {titiro ki te wh&auml;rangi o mua}
_texticontext_ [language=mi] {Tirohia te wh&auml;rangi}
