/**********************************************************************
 *
 * converter.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: converter.cpp 509 1999-09-02 00:25:27Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.3  1999/09/02 00:25:27  rjmcnab
   changes to get compiling on AIX

   Revision 1.2  1999/02/21 22:33:54  rjmcnab
   Lots of stuff :-)

   Revision 1.1  1999/02/05 10:42:45  rjmcnab

   Continued working on receptionist

 */


#include "converter.h"



// the converters within converterinfo become the property of
// of this class after add_converter has been called. The converters
// remain the responsability of the calling code and will not be
// deleted by this class.
void convertinfoclass::add_converter (const text_t &name, inconvertclass *inconverter,
				      rzwsoutconvertclass *outconverter) {
  // can't add a null converter or an action with no name
  if (inconverter == NULL || outconverter == NULL || name.empty()) {
    return;
  }

  converterinfo info;
  info.name = name;
  info.inconverter = inconverter;
  info.outconverter = outconverter;
  converters[name] = info;
}


bool operator==(const converterinfo &x, const converterinfo &y) {
  return ((x.name == y.name) && (x.inconverter == y.inconverter) &&
	  (x.outconverter == y.outconverter));
}

bool operator<(const converterinfo &x, const converterinfo &y) {
  return ((x.name < y.name) ||
	  ((x.name == y.name) &&
	   ((x.inconverter < y.inconverter) ||
	    ((x.inconverter == y.inconverter) &&
	     ((x.outconverter < y.outconverter))))));
}


// get_inconverter will return NULL if the convert could not be found
inconvertclass *convertinfoclass::get_inconverter (const text_t &name) {
  iterator here = converters.find (name);
  if (here == converters.end()) return NULL;

  return (*here).second.inconverter;
}

// get_outconverter will return NULL if the convert could not be found
rzwsoutconvertclass *convertinfoclass::get_outconverter (const text_t &name) {
  iterator here = converters.find (name);
  if (here == converters.end()) return NULL;

  return (*here).second.outconverter;
}

